version: "2"
plugins:
  duplication:
    enabled: true
    config:
      languages:
        - javascript
  fixme:
    enabled: true
checks:
  argument-count:
    config:
      threshold: 5
  method-complexity:
    config:
      threshold: 7
exclude_patterns:
  - "dist/"
  - "docs/"
  - "scripts/"
  - "test/"
  - "*.js"
  - "*.json"
  - "*.md"
  - ".*"
